
#include "site_area.h"

#include "card.h"

//每张卡包含这样一个对象，保存最后一个分站区域
//1、记录卡进出分站的时间，地点
//2、用于考勤
site_area_hover::site_area_hover()
	:m_site_id(-1)
	,m_enter_time(0)
	,m_last_time(0)
{
}

void site_area_hover::on_point(uint64_t card_id,int site_id,const point*pt)
{
	if(pt!=nullptr)
	{
		if(m_enter_point.empty())
			m_enter_point=*pt;

		m_last_point=*pt;
	}
	else
	{
		if(m_site_id==site_id) 
			return;

		//离开现有分站处理，记录现有分站的进出时间和地点
        leave_site(card_id,m_site_id);

		//进入分站覆盖区域处理，考勤
		enter_site(card_id,site_id);

		m_site_id=site_id;
		m_enter_time=m_last_time=time(nullptr);
		m_enter_point.set(0,0);
		m_last_point.set(0,0);
	}
}

void site_area_hover::enter_site(uint64_t card_id,int enter_site)
{


}

void site_area_hover::leave_site(uint64_t card_id,int enter_site)
{


}


